local revision = tonumber(("$Revision: 67937 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-04-03 17:37:15 -0400 (Thu, 03 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Chinchilla", "Chinchilla")
if not Addon then return end

Addon.pos = nil

function Addon:Start()
    
    self.pos = Chinchilla:GetModule("Position")
    
    -- unlock the map and movers
    Chinchilla:CallMethodOnAllModules(false, "SetLocked", false)
    if Chinchilla:IsModuleActive("Position") and self.pos then
		if not IsAddOnLoaded("SmoothDurability") then
			self.pos:ShowFrameMover('durability', true)
		end
        self.pos:ShowFrameMover('questWatch', true)
        self.pos:ShowFrameMover('questTimer', true)
        self.pos:ShowFrameMover('capture', true)

        -- remove the standardUI frames
        local questWatchCoveringFrame = getglobal("questWatchCoveringFrame")
        if questWatchCoveringFrame then
            questWatchCoveringFrame:Hide()
        end
        local durabilityCoveringFrame = getglobal("durabilityCoveringFrame")
        if durabilityCoveringFrame then
            durabilityCoveringFrame:Hide()
        end
    end
end

function Addon:Stop()
    
    -- lock the map and movers
    Chinchilla:CallMethodOnAllModules(false, "SetLocked", true)
    if Chinchilla:IsModuleActive("Position") and self.pos then
        self.pos:ShowFrameMover('durability', false)
        self.pos:ShowFrameMover('questWatch', false)
        self.pos:ShowFrameMover('questTimer', false)
        self.pos:ShowFrameMover('capture', false)
    end
end
