local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- note: CooldownTimers2 doesn't use a standard AceConsole set of options, it builds the menu manually.
-- For this reason, the code for showing / hiding is just pulled out of the menu building functions.
-- CDT2 also uses char and doesn't properly support AceDB profiles, so "char" is hardcoded.

local Addon = AddonBase:new("CooldownTimers2", "CooldownTimers2")
if not Addon then return end

function Addon:Start()
    
    -- unlock the Announces
    CooldownTimers.announce.anchor:Show()
    CooldownTimers.announce.frame:Show()
    CooldownTimers.announce.frame:SetAlpha(1)
    CooldownTimers.announce.alpha = 1
    CooldownTimers.db.profile.announce.locked = false
    CooldownTimers.db.profile.pulse.locked = false
    CooldownTimers:LockPulseIcon(false)
    
    for k, v in pairs(CooldownTimers.db.profile.groups) do
        -- unlock the anchor
        v.locked = false
        CooldownTimers.anchors[k]:Show()
        
        -- show sample bar
        CooldownTimers:OnAnchorClick(k, true)
    end

end

function Addon:Stop()
    
    -- lock the Announces
    CooldownTimers.announce.anchor:Hide()
    CooldownTimers.db.profile.announce.locked = true
    CooldownTimers.db.profile.pulse.locked = true
    CooldownTimers:LockPulseIcon(true)

    for k, v in pairs(CooldownTimers.db.profile.groups) do
        -- lock the anchor
        v.locked = true
        CooldownTimers.anchors[k]:Hide()
        
        -- hide the sample bar
        CooldownTimers:OnAnchorClick(k, true)
    end

end